## ros-jazzy-libnabo 1.1.1

=== debian/changelog ===
ros-jazzy-libnabo (1.1.1-2bookworm) bookworm; urgency=high

  * Update README.md
  * Set minimum required CMake version to 3.10.2
  * (origin/dev-feat-integrate-norlab-build-system-library-and-implement-linabo-build-system-NMO-405) style: renamed .*test_compilation.* services and target to .*integration_test.* for clarity.
  * doc(readme): mute ubuntu jammy from supported OS version until libpointmatcher build pass on jammy
  * ci: drop ubuntu jammy from build matrix
  * doc: add missing norlab light logo
  * doc: add missing norlab light logo
  * doc: update header with dynamic logo, fix hyperlink, add dockerhub badge and fix relative link
  * doc(pull_request_template.md): fix typo
  * doc(readme): add norlab logo to header and improve intro
  * test: add release crawler script bats test
  * build: add release crawler script and .env file
  * doc(readme): update header
  * build: update repo version format
  * doc: clean pr comment
  * feat: integrate norlab-build-system library and implement linabo-build-system [NMO-405]
  * build: Added norlab-shell-script-tools submodule to repository [NMO-405]
  * build: Added norlab-build-system submodule to repository [NMO-405]
  * chore: added a code owner designation file, a pull request template and a conventional commit reference file
  * Update README.md
  * Update README.md with cmake guide
  * Use CMakePackageConfigHelpers to generate config files. Fill libnabo_INCLUDE_DIRS and libnabo_LIBRARIES variables.
  * Fix Cmake Syntax invoked by Nabo's version regex. Updated min cmake version to 3.8
  * more robust extraction of version
  * Remove dependency on grep + Improve findstr command
  * Use findstr instead of grep on Windows
  * Date range and catch-all for authors
  * Upgrade all syntax to package format 3
  * format "3" specifier for condition flag
  * Keep catkin for ROS1
  * Create LICENSE file based on BSD license as per package.xml
  * catkin not required for pure cmake packages
  * Added link to Rust version.
  * Replace TABS with SPACES
  * Automaticaly find eigen3
  * Fix install-space include directories
  * fix missing eigen headers in python module
  * add complete cmake exported-targets usage example
  * option to disable doxygen; cmake clean up
  * better handling of STATIC build option
  * modernize cmake to have exported targets
  * Make library git submodule-friendly

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Tue, 19 Mar 2024 00:00:00 -0000

ros-jazzy-libnabo (1.0.7-2bookworm) bookworm; urgency=high

  * Disabled cmake compile tests by default and on compilers that do not support them (#95)
  * Fix Python 2 bindings support in CMake scripts (#90)
  * Port libnabo to c++11 (#89)
  * Remove register keyword in index_heap.h (#88)
  * Fix compilation warning for MSVC (#85)
  * Assert template type for invalid setters (#80)
  * Return numerically maximal index (unsigned) or -1 (signed) for no match case (#79)
  * Add generate step for ${PROJECT_BINARY_DIR}/libnaboConfig.cmake (#76)
  * Removed compiler-specific flags for compilers that do not support them (#74)
  * Added cmake_policy(SET CMP0054 NEW) (#73)
  * Output compiler message with compile test fatal error in cmake (#72)
  * Removed erroneous commas from test/CMakeLists.txt (#71)
  * Removed fatal "," suffix from FATAL_ERROR in CMakeLists.txt (#70)
  * Fixed regression concerning installed libnaboConfig.cmake (#65)
  * Fix/relax compiler requirements (#63)
  * Removed hard dependency on the doc target (#62)
  * Install any.hpp (#61)
  * Remove boost::any and boost:format dependencies (#59)
  * Port the python bindings to python3 (#57)
  * Added cmake switch to disable usage of OpenMP (#53)
  * Zero copy for Eigen::Matrix3XT and Eigen::Map<const Eigen::Matrix3XT> (#43)
  * Fix warnings and switch on Wextra (#42)
  * Disallow instantiation with non dynamic matrices (#41)
  * Update README.md
  * Removed all code dealing with libnaboTargets.cmake (#32)
  * Got rid of unused locally defined typedefs (#27)
  * Contributors: David Landry, Hannes Sommer, Simon Lynen, Simon-Pierre Deschênes, Stéphane Magnenat, cezheng, ffurrer, magehrig, renning22, sandsmark, taketwo, tcies

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Thu, 07 Feb 2019 00:00:00 -0000

ros-jazzy-libnabo (1.0.6-2bookworm) bookworm; urgency=high

  * Reset point indices of results with distances exceeding threshold (#23, #24)
  * Fine tune the find_package() capability and add uninstall target (#22)
  * Fixed compiler warning (#18)
  * Added OpenMP support (#20, #21)
  * Build type tuning (#19)
  * Fix: terminal comma in enum requires C++11
  * Fix UBSAN error calculating maxNodeCount (#16, #17)
  * Fixed tiny (yet significant) error in the Python doc strings (#15)
  * Compile static lib with PIC (#14)
  * Contributors: Francois Pomerleau, François Pomerleau, Gregory Hitz, Gregory Jefferis, Simon Lynen, Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Thu, 05 Mar 2015 00:00:00 -0000

ros-jazzy-libnabo (1.0.5-2bookworm) bookworm; urgency=high

  * Added configure scripts for full catkinization
  * Catkinization of libnabo (following REP136)
  * Update README.md
    Added Simon as the maintainer.
  * [test] use CLOCK_PROF for NetBSD build
  * Fixed CppCheck warning.
    Fix broken install when doxygen is not found
  * Fix cmake stylistic issue
  * Make python install respect custom CMAKE_INSTALL_PREFIX
  * Fix broken install when doxygen is not found
  * Contributors: Chris Foster, Francis Colas, Paul Furgale, Pierrick Koch, Stéphane Magnenat, fcolas

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Thu, 12 Jun 2014 00:00:00 -0000

ros-jazzy-libnabo (1.0.4-2bookworm) bookworm; urgency=high

  * Updated Debian version number.
  * Added check for invalid optionFlags values.
  * Fixed compilation on OS X, reduced code duplication in tests by moving timers into helpers.h
  * Contributors: Stéphane Magnenat


